EMI 1 (Kebnekaise) - Update 6 (01.09.2011)

The Update contains: - the first release in EMI of FTS, v. 2.2.6, minor releases of BDII core, v. 1.1.0 and dCache, v. 1.9.12-6, revision releases of BDII site, v. 1.0.1, BDII top, v. 1.0.1, STORM SE, v. 1.7.1, WMS, v. 3.3.3

BDII core v. 1.1.0 task #21537

What's new:

This release of BDII core addresses a number of minor issues reported with the initial EMI 1 release. Most of the issues fixed are related to packaging and the templates provided by the glite-info-provider-service component.

One new useful feature has been included which is an improved status command which detects that the BDII is not updating. The yaim configuration has also been improved so that the BDII will automatically start on reboot. Improve status command to detect hanging BDII.

Version 1.7.0 of glite-info-provider-service has the following updates in addtion:

  • There is a completely new GLUE 2 provider for VOMS. This should be called like:
    • glite-info-glue2-voms glite-info-glue2-voms.conf[,glite-info-glue2-voms-admin.conf] <site-name>
where the voms-admin config file should only be included if voms-admin is running on the server. The relevant config templates are glite-info-glue2-voms.conf.template and glite-info-glue2-voms-admin.conf.template, and it should normally be possible to use them without modification. This provider creates a single GLUE2Service object with one GLUE2Endpoint per VO for each of voms and voms-admin.
  • For the WMS (wmproxy) the DN is now extracted using openssl rather than grid-cert-info, but there should be no effect on the published information. Also the GLUE 2 publisher will have GLUE2EndpointServingState: draining if a file /etc/glite-wms/.drain exists.
  • The GLUE 2 information for the RTEPublisher (software tag publisher) has been revamped to fit within the ComputingService structure in CREAM. In particular the service type (EndpointInterfaceName) is now org.glite.ce.ApplicationPublisher.
  • There is a new GLUE 2 template for the CEMon, again intended to fit within the ComputingService structure for CREAM.
  • The VOMS, WMS (wmproxy) and CEMon templates and scripts have been updated to reflect the new paths, environment variables, RPM names and documentation locations in EMI, and hence are no longer compatible with gLite installations.
  • A bug in the GLUE 2 publisher has been fixed that prevented the publication of multiple Extension objects with the same Key.
  • The old beta-test GLUE 2 publisher has been renamed and replaced by a script which calls the new publisher, so any service which is still configured to use it will publish in the more up-to-date format.
  • The wrapper around the service status query has been extended to allow extra arguments to be passed to the init.d script. This is used by voms and should otherwise be transparent.

This release also include the BDII Nagios probe. This probe is already running in production but has been repackaged for release within EMI.

Updated Artefacts

Binary
bdii-5.2.5-2.noarch.rpm
emi-nagios-bdii-1.0.10-1.x86_64.rpm
glite-info-provider-ldap-1.4.1-1.el5.noarch.rpm
glite-info-provider-service-1.7.0-1.el5.noarch.rpm
glite-yaim-bdii-4.3.4-1.el5.noarch.rpm
glue-schema-2.0.8-1.el5.noarch.rpm
Sources RPM
bdii-5.2.5-2.src.rpm
glite-info-provider-ldap-1.4.1-1.src.rpm
glite-info-provider-service-1.7.0-1.src.rpm
lite-yaim-bdii-4.3.4-1.src.rpm

BDII site v. 1.0.1 task #21538

What's new:

This bdii release addresses a minor configuration issue.

Deployment Notes:

The BDII should be reconfigured so that the updated configuration is run.

Updated Artefacts

Binary
bdii-config-site-1.0.5-1.el5.noarch.rpm
Sources RPM
bdii-config-site-1.0.5-1.src.rpm

BDII top v. 1.0.1 task #21539

What's new:

This bdii release addresses a minor configuration issue.

Deployment Notes:

The BDII should be reconfigured so that the updated configuration is run.

Updated Artefacts

Binary
bdii-config-top-1.0.4-1.el5.noarch.rpm
glite-info-plugin-fcr-2.0.2-1.sl5.noarch.rpm
Sources RPM
bdii-config-top-1.0.4-1.src.rpm
glite-info-plugin-fcr-2.0.2-1.sl5.src.rpm
Sources tarball
glite-info-plugin-fcr-2.0.2-1.src.tar.gz

dCache v. 1.9.12-6 task #21619

What's new:

We completing the transition to the new configuration system and improved the script to migrate old configurations. We also replaced the pin manager with a faster and more robust implementation. Other changes were: Extending the the dCache script, HTTP support to third party srmCopy transfers, proxy certificate and VOMS support to the HTTP/WebDAV door, reducing file open latency, gPlazma 2 with ARGUS black listing (missing from initial release).

Installation and configuration:

Just do a yum update and restart dCache. Please see the release notes for incompatibilities with version of dCache before EMI (before 1.9.12-2)

Known issues:

There is one open GGUS ticket regarding some minor changes in the documentation. This ticket is already worked on and will be finished soon.

Updated Artefacts

Binary
dcache-server-1.9.12-6.noarch.rpm
Binary tarball
dcache-server-1.9.12-6.tar.gz
Sources tarball
emi.dcache.server-1.9.12-6.src.tar.gz

FTS v. 2.2.6 task #18686

Release Notes

What's new:
  • FTS packaging has been changed to install into system directories. For example, this means that executables are in /usr/bin, /usr/sbin.
  • There are no longer dependencies on globus anywhere
  • Initial experimental publishing of FTS service information in Glue 2.0 format
  • FTS now supports restarting/partially resuming failed transfers

installation and configuration:

  • FTS installation and configuration is implemented using yum tool and yaim scripts accordingly

Known Issues:

  • oracle-Instantclient packages available from the Oracle web site have a building problem (using AutoReqProv: no) causing a "Missing dependency" issue during installation
# rpm -ivh --nodeps agents-common-1.1.4-1.sl5.x86_64.rpm transfer-agents-3.4.9-1.sl5.x86_64.rpm
and only after install the metapackage:
# yum install emi-fta_oracle
  • T1 sites should have access to fixed Oracle packages. Using the CERN repository for Oracle will solve the problems.

List of RfCs:

Documentation

Updated Artefacts

Binary
agents-common-1.1.4-1.sl5.x86_64.rpm
config-service-2.6.7-1.sl5.x86_64.rpm
delegation-api-c-2.1.1-1.sl5.x86_64.rpm
delegation-cli-2.1.1-1.sl5.x86_64.rpm
emi-fta_oracle-2.2.6-1.sl5.x86_64.rpm
emi-fts_oracle-2.2.6-1.sl5.x86_64.rpm
glite-yaim-core-5.0.2-1.sl5.noarch.rpm
gridftp-ifce-2.0.3-1.sl5.x86_64.rpm
is-interface-1.1.1-1.sl5.x86_64.rpm
sd2cache-1.1.2-1.sl5.x86_64.rpm
srm-api-c-1.2.1-1.sl5.x86_64.rpm
srm-util-cpp-2.4.1-1.sl5.x86_64.rpm
srm2-api-c-2.3.1-1.sl5.x86_64.rpm
transfer-agents-3.4.9-1.sl5.x86_64.rpm
transfer-cli-4.0.1-1.sl5.x86_64.rpm
transfer-fts-3.7.6-1.noarch.rpm
transfer-interface-3.7.1-1.sl5.noarch.rpm
transfer-proxyrenewal-1.0.1-1.sl5.x86_64.rpm
transfer-scripts-2.2.1-1.sl5.noarch.rpm
transfer-url-copy-4.0.2-1.sl5.x86_64.rpm
util-c-1.3.1-1.sl5.x86_64.rpm
yaim.fts-4.1.11-1.sl5.noarch.rpm
Binary tarball
agents-common-1.1.4-1.tar.gz
config-service-2.6.7-1.tar.gz
delegation-api-c-2.1.1-1.tar.gz
delegation-cli-2.1.1-1.tar.gz
glite-yaim-core-5.0.2-1.tar.gz
gridftp-ifce-2.0.3-1.tar.gz
is-interface-1.1.1-1.tar.gz
sd2cache-1.1.2-1.tar.gz
srm-api-c-1.2.1-1.tar.gz
srm-util-cpp-2.4.1-1.tar.gz
srm2-api-c-2.3.1-1.tar.gz
transfer-agents-3.4.9-1.tar.gz
transfer-cli-4.0.1-1.tar.gz
transfer-interface-3.7.1-1.tar.gz
transfer-proxyrenewal-1.0.1-1.tar.gz
transfer-scripts-2.2.1-1.tar.gz
transfer-url-copy-4.0.2-1.tar.gz
util-c-1.3.1-1.tar.gz
yaim.fts-4.1.11-1.tar.gz
Sources RPM
sd2cache-1.1.2-1.sl5.src.rpm
transfer-scripts-2.2.1-1.sl5.src.rpm
yaim.fts-4.1.11-1.sl5.src.rpm
Sources tarball
agents-common-1.1.4-1.src.tar.gz
config-service-2.6.7-1.src.tar.gz
delegation-api-c-2.1.1-1.src.tar.gz
delegation-cli-2.1.1-1.src.tar.gz
emi-fta_oracle-2.2.6-1.src.tar.gz
emi-fts_oracle-2.2.6-1.src.tar.gz
gridftp-ifce-2.0.3-1.src.tar.gz
is-interface-1.1.1-1.src.tar.gz
d2cache-1.1.2-1.src.tar.gz
srm-api-c-1.2.1-1.src.tar.gz
srm-util-cpp-2.4.1-1.src.tar.gz
srm2-api-c-2.3.1-1.src.tar.gz
transfer-agents-3.4.9-1.src.tar.gz
transfer-cli-4.0.1-1.src.tar.gz
transfer-interface-3.7.1-1.src.tar.gz
transfer-proxyrenewal-1.0.1-1.src.tar.gz
transfer-scripts-2.2.1-1.sl5.src.rpm
transfer-url-copy-4.0.2-1.src.tar.gz
util-c-1.3.1-1.src.tar.gz
yaim.fts-4.1.11-1.src.tar.gz
Metapackages
emi-fta_oracle-2.2.6-1.tar.gz
emi-fts_oracle-2.2.6-1.tar.gz

StoRM SE v.1.7.1 task #21801

StoRM service is composed by 5 sub-components (4 servers and 1 client), which are deployable in distinguished hosts. This release represents the first upgrade of StoRM-SE in EMI-1. It includes updates on: FE, BE, DIP, YAIM and GridHTTPS. Client and GridFTP are the same of 1.7.0 release. Checksum service will be released soon.

StoRM-FrontEnd

What's new

Installation and configuration

  • To install storm-frontend-server, install its metapackage RPM: emi-storm-frontend-server-mp
  • To configure storm-frontend-server use yaim on node se_storm_frontend. A good explanation of the required YAIM variable is available in /opt/glite/yaim/examples/siteinfo/services/se_storm_frontend
  • To upgrade storm-frontend-server: stop the service, upgrade with yum, and restart the service.

Known issues

  • None

StoRM-BackEnd-Server

What's new

Installation and configuration

  • To install storm-backend-server, install its metapackage RPM: emi-storm-backend-server-mp
  • To configure storm-backend-server use yaim on node se_storm_backend. A good explanation of the required YAIM variable is available in /opt/glite/yaim/examples/siteinfo/services/se_storm_backend
  • If you configure other services with yaim on the same host always specify also se_storm_backend node
  • To upgrade storm-backend-server: stop the service, upgrade with yum, and restart the service.

Known issues

  • #146: "DIP get_size() incorrectly handles the info (kb insteadof bytes)"
  • #147: "Glue2 GLUE2StorageShareCapacity* sizes always 0"
  • #148: "Available space reported by InfoService is always zero"
  • #149: "wrong yaim-storm version in the file /opt/glite/yaim/etc/versions/yaim-storm"
  • #150: "Wrong calculation of SA_AVAILABLE_SIZE_KB and SA_USED_SIZE_KB"

Workarounds:

  • For all above bugs unresolved will be distributed new scripts containing fixed functions. Consult our site for news and info about those fixes: http://storm.forge.cnaf.infn.it Those fixes will be available on the next StoRM updates.

StoRM-GridFTP-Server

What's new

  • Nothing. This component is the same of the previous release.

Installation and configuration

  • To install storm-gridftp-server, install its metapackage RPM: emi-storm-gridftp-server-mp
  • To configure storm-gridftp-server use yaim on node se_storm_gridftp. A good explanation of the required YAIM variable is available in /opt/glite/yaim/examples/siteinfo/services/se_storm_gridftp
  • The service needs to be installed on a machine on which storm file system is mounted.

Known issues

  • None

StoRM-GridHTTPS-Server

What's new

  • This component is the same of the previous release, except the name of RPM package in order to be compliant to EMI guidelines.

Installation and configuration

  • To install storm-gridhttps-server install its metapackage RPM: emi-storm-gridhttps-mp
  • To configure storm-gridhttps-server use yaim on node se_storm_gridhttps. A good explanation of the required YAIM variable is available in /opt/glite/yaim/examples/siteinfo/services/se_storm_gridhttps
  • The service uses ports 8443 and (by default) 8080, so open them on your firewall.
  • The service needs to be installed on a machine on which storm file system is mounted.

Known issues

  • None

StoRM-SRM-Client

What's new

  • Nothing. This component is the same of the previous release.

Installation and configuration

  • To install storm-srm-client, install its metapackage RPM: emi-storm-srm-client-mp

Known issues

  • None

Documentation

What's new

Updated Artefacts

Binary
emi-storm-backend-mp-1.0.0-3.sl5.x86_64.rpm
emi-storm-frontend-mp-1.0.0-2.sl5.x86_64.rpm
emi-storm-globus-gridftp-mp-1.0.0-4.sl5.x86_64.rpm
emi-storm-grids-mp-1.0.0-2.sl5.x86_64.rpm
emi-storm-srm-client-mp-1.0.0-4.sl5.x86_64.rpm
storm-backend-server-1.7.1-3.sl5.x86_64.rpm
storm-frontend-server-1.7.1-7.sl5.x86_64.rpm
storm-globus-gridftp-server-1.1.0-6.sl5.x86_64.rpm
storm-grids-plugin-1.0.2-1.sl5.noarch.rpm
storm-grids-server-1.0.4-1.sl5.noarch.rpm
storm-srm-client-1.5.0-7.sl5.x86_64.rpm
storm-common-1.1.1-2.sl5.noarch.rpm
storm-dynamic-info-provider-1.7.2-1.sl5.noarch.rpm
yaim-storm-4.1.4-1.sl5.noarch.rpm
Binary tarball
storm-backend-server-1.7.1-3.sl5.x86_64.tar.gz
storm-frontend-server-1.7.1-7.sl5.x86_64.tar.gz
storm-globus-gridftp-server-1.1.0.tar.gz
storm-gridhttps-plugin-1.0.2-1.sl5.noarch.tar.gz
storm-gridhttps-server-1.0.4-1.sl5.noarch.tar.gz
storm-srm-client-1.5.0-6.sl5.x86_64.tar.gz
storm-common-1.1.1-2.tar.gz
storm-dynamic-info-provider-1.7.2-1.tar.gz
yaim-storm-4.1.4-1.tar.gz
Sources RPM
storm-frontend-server-1.7.1-7.sl5.src.rpm
storm-globus-gridftp-server-1.1.0-6.sl5.src.rpm
storm-srm-client-1.5.0-6.sl5.src.rpm
storm-common-1.1.1-2.sl5.src.rpm
storm-dynamic-info-provider-1.7.2-1.sl5.src.rpm
yaim-storm-4.1.4-1.sl5.src.rpm
Sources tarball
storm-backend-server-1.7.1.src.tar.gz
storm-frontend-server-1.7.1-7.sl5.x86_64.src.tar.gz
storm-globus-gridftp-server-1.1.0.src.tar.gz
storm-srm-client-1.5.0.tar.gz
storm-common-1.1.1-2.src.tar.gz
storm-dynamic-info-provider-1.7.2-1.src.tar.gz
yaim-storm-4.1.4-1.src.tar.gz

WMS v. 3.3.3 task #21777

What's new

  • This update of WMS addresses the problem causing authorization failure when submission to the WMS is done using a proxy retrieved from Myproxy (as this is the case in Nagios tests)

Deployment notes

  • Yaim (re)configuration is required after installation/update

Updated Artefacts

Binary
glite-wms-wmproxy-3.3.3-0.sl5.x86_64.rpm
Binary tarball
glite-wms-wmproxy-3.3.3-0.tar.gz
Sources RPM
glite-wms-wmproxy-3.3.3-0.sl5.src.rpm
Sources tarball
glite-wms-wmproxy-3.3.3-0.src.tar.gz

-- DoinaCristinaAiftimiei - 31-Aug-2011

Edit | Attach | Watch | Print version | History: r2 < r1 | Backlinks | Raw View | WYSIWYG | More topic actions
Topic revision: r2 - 2011-09-01 - DoinaCristinaAiftimiei
 
    • Cern Search Icon Cern Search
    • TWiki Search Icon TWiki Search
    • Google Search Icon Google Search

    EMI All webs login

This site is powered by the TWiki collaboration platform Powered by PerlCopyright & 2008-2020 by the contributing authors. All material on this collaboration platform is the property of the contributing authors.
Ideas, requests, problems regarding TWiki? Send feedback